compact1, compact2, compact3
javax.security.auth.login

## Class AccountExpiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.security.GeneralSecurityException
      - - javax.security.auth.login.LoginException
        - - javax.security.auth.login.AccountException
          - - javax.security.auth.login.AccountExpiredException

- All Implemented Interfaces:
    Serializable

      public class AccountExpiredException
      extends AccountException

  Signals that a user account has expired.

  This exception is thrown by LoginModules when they determine that an account has expired. For example, a `LoginModule`, after successfully authenticating a user, may determine that the user's account has expired. In this case the `LoginModule` throws this exception to notify the application. The application can then take the appropriate steps to notify the user.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountExpiredException()` Constructs a AccountExpiredException with no detail message.
    `AccountExpiredException(String msg)` Constructs a AccountExpiredException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountExpiredException

          public AccountExpiredException()

      Constructs a AccountExpiredException with no detail message. A detail message is a String that describes this particular exception.

    - #### AccountExpiredException

          public AccountExpiredException(String msg)

      Constructs a AccountExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.